#
# spec file for package python-retry_decorator
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-retry_decorator
Version:        1.1.1
Release:        1.18
Summary:        Retry Decorator
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pnpnpn/retry-decorator
# https://github.com/pnpnpn/retry-decorator/issues/15
Source:         https://github.com/pnpnpn/retry-decorator/archive/v%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Decorator to support retry when an exception occurs.

%prep
%setup -q -n retry-decorator-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc README.rst CHANGES.txt
%{python_sitelib}/*

%check
%pytest

%changelog
* Thu Mar 19 2020 pgajdos@suse.com
- version update to 1.1.1
  * This is the last release which will include support for py2 and py3.
* Mon May 20 2019 pgajdos@suse.com
- single spec
- run test
* Fri Feb 14 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 1.0.0
  + Using seed for pypi deployment; modified to use logger rather fptr
- Use download Url as source
- Add README.rst and CHANGES.txt to package documentation
* Wed Aug 14 2013 rschweikert@suse.com
- Separate build and install to follow our accepted convention
* Wed Aug 14 2013 rschweikert@suse.com
- BuildRequire python to fix build error on SLE
* Tue Aug 13 2013 rschweikert@suse.com
- Initial build
